[Numpy-discussion] Problem installing NumPy with Python 3.2.2/MacOS X 10.7.2

Charles R Harris charlesr.harris at gmail.com
Fri Dec 16 19:21:49 EST 2011


On Fri, Dec 16, 2011 at 4:07 PM, McNicol, Adam <amcnicol at longroad.ac.uk>wrote:

> **
>
> Hi There,
>
> I am very new to numpy and have really only started investigating it as
> one of my students needs some functionality from matplotlib. I have managed
> to install everything under Windows for work in class but I use a Mac at
> home and have been struggling all night to get it to build and install.
>
> I should mention that I am using Python 3.2.2 both in school and at home
> and it isn't an option to use Python 2.7 as all of the rest of my class is
> taught in Python 3. I also have the most recent version of Xcode installed.
>
> I have installed the correct build of gcc-4.2 with Fortran (gcc-4.2 (Apple
> build 5666.3) with GNU Fortran 4.2.4 for Mac OS X 10.7 (Lion)) from
> http://r.research.att.com/tools/
>
> I then followed the install instructions but the build fails with the
> following message:
>
>   File "numpy/core/setup.py", line 271, in check_types
>     "Cannot compile 'Python.h'. Perhaps you need to "\
> SystemError: Cannot compile 'Python.h'. Perhaps you need to install
> python-dev|python-devel.
>
> I have got no idea what to do with this error message. Any help would be
> much appreciated.
>
>
Is Python.h present? If so, is it in the search path? How did you install
Python3.2.2?

Chuck
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.python.org/pipermail/numpy-discussion/attachments/20111216/48a61351/attachment.html>


More information about the NumPy-Discussion mailing list